Skip to content

Account Settings

All operations require authentication, except the 9 marked Public.

32 operationsv1/telephony · /telephony/availableDefaultSipDomains · /telephony/directories · +7
Agent setup

List billing accountsProduction

GET
/1.0/telephony

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/telephony \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get all zip codes compatible for a numberProductionPublic

GET
/1.0/telephony/directories/availableZipCodes

Query parameters

country
required
ServiceNumberCountryEnum

The country of the city

Valuesbechdeesfrgbuk
number
required
string

The number (can be a range terminated by XXXX)

Response

200string[]successful operation

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/telephony/directories/availableZipCodes
ResponseExample
[ "string"]

Get city informations from a zip codeProductionPublic

GET
/1.0/telephony/directories/cities

Query parameters

country
required
ServiceNumberCountryEnum

The country of the city

Valuesbechdeesfrgbuk
zipCode
required
string

The zip code of the city

Response

200City[]successful operation
administrationCode
string

The identifier of the city

name
string

The name of the city

zipCode
string

The zip code of the city

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/telephony/directories/cities
ResponseExample
[ { "administrationCode": "string", "name": "string", "zipCode": "string" }]

Get all available fax offer compatibleProductionPublic

GET
/1.0/telephony/fax/offers

Query parameters

country
required
NumberCountryEnum

The country

Valuesbechfrgbuk

Response

200LineOffer[]successful operation
description
string

The offer description

name
string

The offer name

price
Price

Offer price per month

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/telephony/fax/offers
ResponseExample
[ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } }]

Get all available phone brands compatible with linesProductionPublic

GET
/1.0/telephony/line/offer/phones

Query parameters

country
required
ServiceNumberCountryEnum

The country

Valuesbechdeesfrgbuk
offer
required
string

The selected offer

Response

200LinePhone[]successful operation
brand
string

Brand name of the phone

description
string

The phone description

fees
Price

Setup fees

maxline
integer

Maximum number of lines managed by a phone

offerType
RmaOfferTypeEnum

Type of purchase

Valuesdepositloanpurchase
price
Price

Telephony price

protocol
ProtocolEnum

Phone protocol

Valuesmgcpsip

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/telephony/line/offer/phones
ResponseExample
[ { "brand": "string", "description": "string", "fees": { "currencyCode": "AUD", "text": "string", "value": 0 }, "maxline": 0, "offerType": "deposit", "price": { "currencyCode": "AUD", "text": "string", "value": 0 }, "protocol": "mgcp" }]

Get all available line offer compatibleProductionPublic

GET
/1.0/telephony/line/offers

Query parameters

country
required
NumberCountryEnum

The country

Valuesbechfrgbuk

Response

200LineOffer[]successful operation
description
string

The offer description

name
string

The offer name

price
Price

Offer price per month

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/telephony/line/offers
ResponseExample
[ { "description": "string", "name": "string", "price": { "currencyCode": "AUD", "text": "string", "value": 0 } }]

Get all available geographic zone with some details, from a countryProductionPublic

GET
/1.0/telephony/number/detailedZones

Query parameters

axiom
string

Enter a part of a city name or a zip for specific zne returns

country
required
NumberCountryEnum

The country

Valuesbechfrgbuk

Response

200NumberDetailedZone[]successful operation
askedCity
string

The searched value

city
string

The city of the zone

country
NumberCountryEnum

The country of the zone

Valuesbechfrgbuk
internationalNumber
string

The number's range of this zone, in international format

matchingCriteria
NumberDetailedZoneMatchingCriteriaEnum

The criteria that matched the searched value

ValuescityinternationalNumbernumberzne
number
string

The number's range of this zone

prefix
NumberCountryCodeEnum

The country code of the number's range

Values323334414449
type
NumberDetailedZoneTypeEnum

The type of number's range of this zone

Valuesgeographicnon-geographicspecial
zipCode
string

The zip code of the zone

zneList
string[]

The list of ZNE of this zone

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/telephony/number/detailedZones
ResponseExample
[ { "askedCity": "string", "city": "string", "country": "be", "internationalNumber": "string", "matchingCriteria": "city", "number": "string", "prefix": 32, "type": "geographic", "zipCode": "string", "zneList": [ "string" ] }]

Get all available special range from a countryProductionPublic

GET
/1.0/telephony/number/ranges

Query parameters

country
required
NumberCountryEnum

The country

Valuesbechfrgbuk

Response

200string[]successful operation

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/telephony/number/ranges
ResponseExample
[ "string"]

Get all available specific number from a countryProductionPublic

GET
/1.0/telephony/number/specificNumbers

Query parameters

country
required
NumberCountryEnum

The country

Valuesbechfrgbuk
range
string

The range (special number)

type
required
NumberTypeEnum

The type of number

Valuesgeographicnogeographicspecial
zone
string

The zone (geographic number)

Response

200SpecificNumber[]successful operation
isPremium
boolean

Set if number is premium

number
phoneNumber

The number

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/telephony/number/specificNumbers
ResponseExample
[ { "isPremium": true, "number": "string" }]

Get all available geographic zone from a countryProductionPublic

GET
/1.0/telephony/number/zones

Query parameters

axiom
string

Enter a part of a city name or a zip for specific zne returns

country
required
NumberCountryEnum

The country

Valuesbechfrgbuk

Response

200string[]successful operation

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/telephony/number/zones
ResponseExample
[ "string"]

Get a billing accountProduction

GET
/1.0/telephony/{billingAccount}

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200BillingAccountWithIAMsuccessful operation
allowedOutplan
read-only
Price

Allowed outplan

billingAccount
read-only
string

Name of the billing account

creditThreshold
Price

Allowed threshold credit

currentOutplan
read-only
Price

Current outplan

description
string

Description of the billing account

hasSpecialNumbers
read-only
boolean

Check if the billing account contains at least one special number

hiddenExternalNumber
boolean

Hide called numbers in end-of-month call details CSV

iam
read-only
ResourceMetadata

IAM resource metadata

overrideDisplayedNumber
boolean

Override number display for calls between services of your billing account

securityDeposit
read-only
Price

Security deposit amount

status
read-only
BillingAccountStatusEnum

Current status of billing account

Valuescloseddeletedenabledexpired
trusted
read-only
boolean

Is the billing account trusted

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allowedOutplan": { "currencyCode": "AUD", "text": "string", "value": 0 }, "billingAccount": "string", "creditThreshold": { "currencyCode": "AUD", "text": "string", "value": 0 }, "currentOutplan": { "currencyCode": "AUD", "text": "string", "value": 0 }, "description": "string", "hasSpecialNumbers": true, "hiddenExternalNumber": true, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "overrideDisplayedNumber": true, "securityDeposit": { "currencyCode": "AUD", "text": "string", "value": 0 }, "status": "closed", "trusted": true}

Terminate a billing accountProduction

DELETE
/1.0/telephony/{billingAccount}

Path parameters

billingAccount
required
string

The name of your billingAccount

Query parameters

details
string

Termination reason details

reason
required
TerminationReasonEnum

Termination reason

ValuesaddresseMovebillingDifficultiescessationOfActivitymissingOptionsmoveToCompetitorotherplugAndPhoneDifficultiestechnicalDifficulties

Response

200—successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a billing accountProduction

PUT
/1.0/telephony/{billingAccount}

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

allowedOutplan
read-only
Price

Allowed outplan

billingAccount
read-only
string

Name of the billing account

creditThreshold
Price

Allowed threshold credit

currentOutplan
read-only
Price

Current outplan

description
string

Description of the billing account

hasSpecialNumbers
read-only
boolean

Check if the billing account contains at least one special number

hiddenExternalNumber
boolean

Hide called numbers in end-of-month call details CSV

overrideDisplayedNumber
boolean

Override number display for calls between services of your billing account

securityDeposit
read-only
Price

Security deposit amount

status
read-only
BillingAccountStatusEnum

Current status of billing account

Valuescloseddeletedenabledexpired
trusted
read-only
boolean

Is the billing account trusted

Response

200—successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount} \
  -H "authorization: Bearer $OVH_TOKEN"

Generate a reseller panel passwordProduction

POST
/1.0/telephony/resellerPanel/generatePassword

Response

200—successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/telephony/resellerPanel/generatePassword \
  -H "authorization: Bearer $OVH_TOKEN"

Get the reseller panel statusProduction

GET
/1.0/telephony/resellerPanel/status

Response

200ResellerPanelStatussuccessful operation
enabled
boolean

Whether the reseller panel is enabled or not

passwordUpdateStatus
ResellerPanelPasswordUpdateStatusEnum

Password update task status

Valuesdoingdoneerrortodo

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/telephony/resellerPanel/status \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "enabled": true, "passwordUpdateStatus": "doing"}

Search a serviceProduction

GET
/1.0/telephony/searchServices

Query parameters

axiom
required
string

Filter the value of property (like)

Response

200TelephonySearchService[]successful operation
billingAccount
string

The billing account of the service

domain
string

The service domain

type
TelephonySearchServiceTypeEnum

The offer description

Valuesaliaslinetrunk

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/telephony/searchServices \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "billingAccount": "string", "domain": "string", "type": "alias" }]

Set the default SIP domainProduction

POST
/1.0/telephony/setDefaultSipDomain

Request body (required)

country
required
ServiceNumberCountryEnum

Country

Valuesbechdeesfrgbuk
domain
required
string

SIP domain to set

type
required
SipDomainProductTypeEnum

Product type

Valuessiptrunk

Response

200—successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/telephony/setDefaultSipDomain \
  -H "authorization: Bearer $OVH_TOKEN"

Get the billing account siteProduction

GET
/1.0/telephony/{billingAccount}/billingAccountSite

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200stringsuccessful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/billingAccountSite \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Set the billing account siteProduction

POST
/1.0/telephony/{billingAccount}/billingAccountSite

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

billingAccountSite
required
string

Billing account site (master billing account)

Response

200—successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/billingAccountSite \
  -H "authorization: Bearer $OVH_TOKEN"

Cancel the billing account terminationProduction

POST
/1.0/telephony/{billingAccount}/cancelTermination

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200—successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/cancelTermination \
  -H "authorization: Bearer $OVH_TOKEN"

Change service contactsProduction

POST
/1.0/telephony/{billingAccount}/changeContact

Change service contacts. Starts a procedure to change the admin, tech or billing contact of the service.

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

contactAdmin
string

The contact to set as admin contact

contactBilling
string

The contact to set as billing contact

contactTech
string

The contact to set as tech contact

Response

200integer[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/changeContact \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get the event tokenProduction

GET
/1.0/telephony/{billingAccount}/eventToken

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200EventTokensuccessful operation
token
read-only
string
—

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/eventToken \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "token": "string"}

Create an event tokenProduction

POST
/1.0/telephony/{billingAccount}/eventToken

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

expiration
required
TokenExpirationEnum

Time to live in seconds for the token

Values1 day1 hour30 days5 minutesunlimited

Response

200stringsuccessful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/eventToken \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
"string"

Delete the event tokenProduction

DELETE
/1.0/telephony/{billingAccount}/eventToken

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200—successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/eventToken \
  -H "authorization: Bearer $OVH_TOKEN"

List offer tasksProduction

GET
/1.0/telephony/{billingAccount}/offerTask

Path parameters

billingAccount
required
string

The name of your billingAccount

Query parameters

action
OfferTaskActionEnum

Filter the value of action property (=)

ValuesconvertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgrade
status
TaskStatusEnum

Filter the value of status property (=)

Valuesdoingdoneerrorpausetodo
type
OfferTaskTypeEnum

Filter the value of type property (=)

Valueslineofferoptionphone

Response

200integer[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/offerTask \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get an offer taskProduction

GET
/1.0/telephony/{billingAccount}/offerTask/{taskId}

Path parameters

billingAccount
required
string

The name of your billingAccount

taskId
required
integer
—

Response

200OfferTasksuccessful operation
action
read-only
OfferTaskActionEnum

Actual action that will be executed

ValuesconvertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgrade
executionDate
stringdate-time

Planned execution date

status
read-only
TaskStatusEnum

Current status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—
type
read-only
OfferTaskTypeEnum

Type of operation that will be executed

Valueslineofferoptionphone

Example uses billingAccount = string, taskId = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/offerTask/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "convertToAlias", "executionDate": "2024-01-01T12:00:00Z", "status": "doing", "taskId": 0, "type": "line"}

Update an offer taskProduction

PUT
/1.0/telephony/{billingAccount}/offerTask/{taskId}

Path parameters

billingAccount
required
string

The name of your billingAccount

taskId
required
integer
—

Request body (required)

action
read-only
OfferTaskActionEnum

Actual action that will be executed

ValuesconvertToAliasconvertToSipmigrateToNewVoicemailremoveSimltaneousLinesswitchServerterminationupdateFirmwareupgrade
executionDate
stringdate-time

Planned execution date

status
read-only
TaskStatusEnum

Current status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—
type
read-only
OfferTaskTypeEnum

Type of operation that will be executed

Valueslineofferoptionphone

Response

200—successful operation

Example uses billingAccount = string, taskId = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/offerTask/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"

Get service informationProduction

GET
/1.0/telephony/{billingAccount}/serviceInfos

Get service information. Returns the status, creation and expiration dates, contacts and renewal settings of the service.

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200Servicesuccessful operation
canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "canDeleteAtExpiration": true, "contactAdmin": "string", "contactBilling": "string", "contactTech": "string", "creation": "2024-01-01", "domain": "string", "engagedUpTo": "2024-01-01", "expiration": "2024-01-01", "possibleRenewPeriod": [ 0 ], "renew": { "automatic": true, "deleteAtExpiration": true, "forced": true, "manualPayment": true, "period": 0 }, "renewalType": "automaticForcedProduct", "serviceId": 0, "status": "autorenewInProgress"}

Update service informationProduction

PUT
/1.0/telephony/{billingAccount}/serviceInfos

Update service information. Updates the renewal settings of the service: automatic renewal, period, or deletion at expiration.

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

canDeleteAtExpiration
read-only
boolean

Indicates that the service can be set up to be deleted at expiration

contactAdmin
read-only
string
—
contactBilling
read-only
string
—
contactTech
read-only
string
—
creation
read-only
stringdate
—
domain
read-only
string
—
engagedUpTo
read-only
stringdate
—
expiration
read-only
stringdate
—
possibleRenewPeriod
read-only
integer[]

All the possible renew period of your service in month

renew
RenewType

Way of handling the renew

renewalType
read-only
RenewalTypeEnum

Detailed renewal type of a service

ValuesautomaticForcedProductautomaticV2012automaticV2014automaticV2016automaticV2024manualoneShotoption
serviceId
read-only
integer
—
status
read-only
StateEnum
—
ValuesautorenewInProgressexpiredinCreationokpendingDebtunPaid

Response

200—successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/serviceInfos \
  -H "authorization: Bearer $OVH_TOKEN"

List tasksProduction

GET
/1.0/telephony/{billingAccount}/task

Path parameters

billingAccount
required
string

The name of your billingAccount

Query parameters

action
string

Filter the value of action property (=)

serviceType
string

Filter the value of serviceType property (=)

status
TaskStatusEnum

Filter the value of status property (=)

Valuesdoingdoneerrorpausetodo

Response

200integer[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a taskProduction

GET
/1.0/telephony/{billingAccount}/task/{taskId}

Path parameters

billingAccount
required
string

The name of your billingAccount

taskId
required
integer
—

Response

200Tasksuccessful operation
action
read-only
string

Action associated with the task

message
read-only
string

Potential failure reason of the task

objectCreated
read-only
string

Object potentially created at the end of the task

serviceType
read-only
string
—
status
read-only
TaskStatusEnum

Status of the task

Valuesdoingdoneerrorpausetodo
taskId
read-only
integer
—

Example uses billingAccount = string, taskId = 0

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/task/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "action": "string", "message": "string", "objectCreated": "string", "serviceType": "string", "status": "doing", "taskId": 0}

List default SIP domainsProduction

GET
/1.0/telephony/availableDefaultSipDomains

Query parameters

type
required
SipDomainProductTypeEnum

Product type

Valuessiptrunk

Response

200DefaultSipDomains[]successful operation
country
ServiceNumberCountryEnum

Country

Valuesbechdeesfrgbuk
currentDomain
string

Current SIP domain

list
string[]

List of available SIP domains

productType
SipDomainProductTypeEnum

Type of the VoIP product concerned

Valuessiptrunk

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/telephony/availableDefaultSipDomains \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "country": "be", "currentDomain": "string", "list": [ "string" ], "productType": "sip" }]